<!DOCTYPE html>
<html>
<head>
	<title>Stridemag</title>
	<meta charset="UTF-8"/>
	<meta name="viewport" content="width=device-width, maximum-scale=1, initial-scale=1, user-scalable=no"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<header class="header">
		<div class="container">
			<figure class="logo">
				<a href="/" class="logo__link">Stridemag</a>
			</figure>
	
			<button type="button" class="search"></button>
	
			<a href="/shop" class="header__button-link">Магазин</a>
	
			<nav class="nav">
				<a class="nav__link" href="/rules">Правила бега</a>
				<a class="nav__link" href="/heroes">Герои</a>
				<a class="nav__link" href="/stuff">Вещи</a>
				<a class="nav__link" href="/specials">Спецтемы</a>
			</nav>
	
			<button type="button" class="header__nav-button" data-nav-trigger>
				<i></i>
				<i></i>
				<i></i>
			</button>
		</div>
	
		<section class="header__overlay" data-header-overlay>
			<div class="container">
				<nav class="nav">
					<a class="nav__link" href="/rules">Правила бега</a>
					<a class="nav__link" href="/heroes">Герои</a>
					<a class="nav__link" href="/stuff">Вещи</a>
					<a class="nav__link" href="/specials">Спецтемы</a>
				</nav>
	
				<a href="/shop" class="header__button-link">Магазин</a>
			</div>
		</section>
	</header>
	
	<script type="text/javascript">
		(function() {
			var $button = document.querySelector('[data-nav-trigger]');
			var $overlay = document.querySelector('[data-header-overlay]');
	
			$button.addEventListener('click', function() {
				$button.classList.toggle('active');
				$overlay.classList.toggle('active');
				document.body.classList.toggle('vrflw');
			}, false);
		})();
	</script>
	<figure class="notification">
		<div class="notification__container">
			<div class="notification__icon"></div>
			<time class="notification__time">12.04 — 12:00</time>
			<em class="notification__separator"></em>
			<p class="notification__text">Пробежка с беговым клубом Stride Runing — 5 км</p>
		</div>
	</figure>

	<div class="vrflw dotted--green">
		<div class="container">
			<article class="feature">
	
				<div class="feature__container">
					<div class="card__caption">
						<a href="/category" class="card__category">Правила бега</a>
						<time class="card__date">12.04.2017</time>
					</div>
	
					<a href="/cards" class="card__link">
						<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
								забеге</span></h3>
					</a>
				</div>
			</article>
	
			<aside class="cards-aside">
				<article class="card card--small">
					<div class="card__caption">
						<a href="/category" class="card__category">Правила бега</a>
						<time class="card__date">12.04.2017</time>
					</div>
	
					<a href="/cards" class="card__link">
						<figure class="card__image"></figure>
	
						<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
								забеге</span></h3>
					</a>
				</article>
	
				<article class="card card--small">
					<div class="card__caption">
						<a href="/category" class="card__category">Правила бега</a>
						<time class="card__date">12.04.2017</time>
					</div>
	
					<a href="/cards" class="card__link">
						<figure class="card__image"></figure>
	
						<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
								забеге</span></h3>
					</a>
				</article>
			</aside>
		</div>
	</div>
	<div class="container">
		<h2 class="block-title">Правила бега</h2>
	</div>
	
	<div class="vrflw dotted--green">
		<div class="container">
			<article class="card">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
							забеге</span></h3>
				</a>
			</article>
	
			<article class="card">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
							забеге</span></h3>
				</a>
			</article>
	
			<article class="card">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
							забеге</span></h3>
				</a>
			</article>
		</div>
	
		<div class="block-link">
			<a href="/materials" class="block-link__link">Все материалы</a>
		</div>
	</div>
	<div class="container">
		<h2 class="block-title">Герои</h2>
	</div>
	
	<div class="vrflw dotted--green">
		<div class="container">
			<article class="card card--tall">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title">«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на забеге</h3>
				</a>
			</article>
	
			<article class="card card--tall">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title">«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на забеге</h3>
				</a>
			</article>
	
			<article class="card card--tall">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title">«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на забеге</h3>
				</a>
			</article>
		</div>
	
		<div class="block-link">
			<a href="/materials" class="block-link__link">Все материалы</a>
		</div>
	</div>
	<div class="container">
		<h2 class="block-title">Правила бега</h2>
	</div>
	
	<div class="vrflw dotted--green">
		<div class="container">
			<article class="card">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
							забеге</span></h3>
				</a>
			</article>
	
			<article class="card">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
							забеге</span></h3>
				</a>
			</article>
	
			<article class="card">
				<div class="card__caption">
					<a href="/category" class="card__category">Правила бега</a>
					<time class="card__date">12.04.2017</time>
				</div>
	
				<a href="/cards" class="card__link">
					<figure class="card__image"></figure>
	
					<h3 class="card__title"><span>«Это как концерт Guns’N’Roses», — Наташа Давтян о том, что такое волонтер на
							забеге</span></h3>
				</a>
			</article>
		</div>
	
		<div class="block-link">
			<a href="/materials" class="block-link__link">Все материалы</a>
		</div>
	</div>

	<div class="slider">
		<div class="slider__container" data-slider-container>
			<article data-slider-slide class="slider__slide" style="background-image: url(http://res.cloudinary.com/canvaskisa/image/upload/v1493928181/shoe_q5mghk.png)">
				<div class="slider__slide-wrapper">
					<i class="slider__quote-icon">’’</i>
					<h4 class="slider__title">Мне говорили: дурак, мало того, что не видит, еще и лоб расшибет. Хотелось бросить. Но потихоньку, с 50 м, дошел до полутора километров.</h4>
					<p class="slider__text">Читайте о новых Nike от Артемия Лебедева</p>
				</div>
			</article>
	
			<article data-slider-slide class="slider__slide" style="background-image: url(http://res.cloudinary.com/canvaskisa/image/upload/v1493928181/shoe_q5mghk.png)">
				<div class="slider__slide-wrapper">
					<i class="slider__quote-icon">’’</i>
					<h4 class="slider__title">Мне говорили: дурак, мало того, что не видит, еще и лоб расшибет. Хотелось бросить. Но потихоньку, с 50 м, дошел до полутора километров.</h4>
					<p class="slider__text">Читайте о новых Nike от Артемия Лебедева</p>
				</div>
			</article>
	
			<article data-slider-slide class="slider__slide" style="background-image: url(http://res.cloudinary.com/canvaskisa/image/upload/v1493928181/shoe_q5mghk.png)">
				<div class="slider__slide-wrapper">
					<i class="slider__quote-icon">’’</i>
					<h4 class="slider__title">Мне говорили: дурак, мало того, что не видит, еще и лоб расшибет. Хотелось бросить. Но потихоньку, с 50 м, дошел до полутора километров.</h4>
					<p class="slider__text">Читайте о новых Nike от Артемия Лебедева</p>
				</div>
			</article>
	
			<article data-slider-slide class="slider__slide" style="background-image: url(http://res.cloudinary.com/canvaskisa/image/upload/v1493928181/shoe_q5mghk.png)">
				<div class="slider__slide-wrapper">
					<i class="slider__quote-icon">’’</i>
					<h4 class="slider__title">Мне говорили: дурак, мало того, что не видит, еще и лоб расшибет. Хотелось бросить. Но потихоньку, с 50 м, дошел до полутора километров.</h4>
					<p class="slider__text">Читайте о новых Nike от Артемия Лебедева</p>
				</div>
			</article>
		</div>
	
		<div class="slider__controls">
			<button type="button" class="slider__button active" data-slider-control></button>
			<button type="button" class="slider__button" data-slider-control></button>
			<button type="button" class="slider__button" data-slider-control></button>
			<button type="button" class="slider__button" data-slider-control></button>
		</div>
	</div>
	
	<script type="text/javascript">
		(function () {
			var __slice = Array.prototype.slice;
	
			function querySelectorAll(val, el) {
				return el ? __slice.call(el.querySelectorAll(val)) : __slice.call(document.querySelectorAll(val));
			}
	
			function getSupportedCSSProperty(arr) {
				var doc = document.documentElement;
				var len = arr.length;
	
				for (var i = 0; i < len; i++) {
					if (arr[i] in doc.style) {
						return arr[i];
					}
				}
			}
	
			var activeIndex = 0;
			var transform = getSupportedCSSProperty(['transform', 'MozTransform', 'WebkitTransform', 'msTransform', 'OTransform']);
			var $container = document.querySelector('[data-slider-container]');
			var $slides = querySelectorAll('[data-slider-slide]');
			var $controls = querySelectorAll('[data-slider-control]');
			var length = $slides.length;
	
			function handleChange() {
				$container.setAttribute('style', transform + ': translateX(' + activeIndex * -100 + '%);');
	
				$controls.forEach(function($control, i) {
					if (i === activeIndex) {
						$control.classList.add('active');
					} else {
						$control.classList.remove('active');
					}
				});
			}
	
			$controls.forEach(function($control, i) {
				$control.addEventListener('click', function() {
					activeIndex = i;
					handleChange();
				}, false);
			});
	
			/**
			 * Touches
			 */
			var clientXDown, clientYDown;
			var followed = 0;
	
			function handleMoveStart(x, y) {
				clientXDown = x;
				clientYDown = y;
				$container.setAttribute('data-grabbing', true);
			}
	
			function handleMove(clientX, clientY, e) {
				if (clientYDown && clientXDown) {
					var xDiff = clientXDown - clientX;
					var yDiff = clientYDown - clientY;
	
					if (xDiff && yDiff) {
						e.preventDefault();
						e.stopPropagation();
						followed = (xDiff / $container.offsetWidth) * 100;
						$container.setAttribute('style', transform + ': translateX(' + ((activeIndex * -100) + (followed * -1)) + '%);');
					}
				}
			}
	
			function handleMoveEnd(e) {
				if (followed !== 0) {
					e.preventDefault();
					e.stopPropagation();
				}
	
				if (followed < -35) {
					activeIndex = Math.max(0, activeIndex + Math.floor(followed / 100));
				} else if (followed > 35) {
					activeIndex = Math.min(length - 1, activeIndex + Math.ceil(followed / 100));
				}
	
				$container.setAttribute('data-grabbing', false);
				handleChange();
				clientXDown = 0;
				clientYDown = 0;
				followed = 0;
			}
	
			function handleTouchStart(e) {
				handleMoveStart(e.touches[0].clientX, e.touches[0].clientY, e);
			}
	
			function handleTouchMove(e) {
				handleMove(e.touches[0].clientX, e.touches[0].clientY, e);
			}
	
			function handleMouseDown(e) {
				handleMoveStart(e.clientX, e.clientY, e);
			}
	
			function handleMouseMove(e) {
				handleMove(e.clientX, e.clientY, e);
			}
	
			function handleDragStart(e) {
				e.preventDefault();
				e.stopPropagation();
			}
	
			$container.addEventListener('mousedown', handleMouseDown, false);
			$container.addEventListener('touchstart', handleTouchStart, false);
			$container.addEventListener('touchend', handleMoveEnd, false);
			$container.addEventListener('dragstart', handleDragStart, false);
			window.addEventListener('touchmove', handleTouchMove, false);
			window.addEventListener('mousemove', handleMouseMove, false);
			window.addEventListener('mouseup', handleMoveEnd, false);
			window.addEventListener('click', handleMoveEnd, false);
			handleChange();
		})()
	</script>
	

	<footer class="footer">
		<div class="container">
			<aside class="footer__logo">
				<img src="//res.cloudinary.com/canvaskisa/image/upload/v1493999917/footer-logo_h5eso0.png"/>
			</aside>
	
			<section class="footer__body">
				<p class="footer__text">Stride Mag — журнал о бегунах и беге как образе жизни. Stride Running Store — беговой магазин. Адрес: Москва, Фрунзенская набережная, 32. Телефон: +7 (495) 730-58-96</p>
				<a class="footer__link" href="//striderunning.ru">striderunning.ru</a>
	
				<section class="footer__blocks">
					<div class="footer__block">
						<h3 class="footer__block-header">Рубрики</h3>
	
						<nav class="footer__links">
							<a class="footer__nav-link" href="/rules">Правила бега</a>
							<a class="footer__nav-link" href="/heroes">Герои</a>
							<a class="footer__nav-link" href="/stuff">Вещи</a>
							<a class="footer__nav-link" href="/specials">Спецтемы</a>
						</nav>
					</div>
	
					<div class="footer__block">
						<h3 class="footer__block-header">Связь с редакцией</h3>
						<p class="footer__small-text">По любым вопросам: +7 (903) 159 08 79 <a href="//natasha@striderunning.ru">natasha@striderunning.ru</a></p>
					</div>
	
					<div class="footer__block">
						<h3 class="footer__block-header">Соцсети</h3>
	
						<nav class="footer__links">
							<a class="footer__nav-link fb" href="//facebook.com">Facebook</a>
							<a class="footer__nav-link vk" href="//vk.com">Vkontakte</a>
							<a class="footer__nav-link inst" href="//instagram.com">Instagram</a>
						</nav>
					</div>
				</section>
			</section>
		</div>
	
		<div class="footer__bottom">
			<div class="container">
				<em class="footer__copyright">© 2017 Stride Mag</em>
				<em class="footer__quote">Жизнь — бег.</em>
			</div>
		</div>
	</footer>
</body>
</html>
